Package org.apache.qpid.proton.engine

# Interface Collector

All Known Implementing Classes:
  `CollectorImpl`

public interface Collector
Collector

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static final class`
`Collector.Factory`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`more()`
`Event`
`peek()`
`void`
`pop()`

## Method Details

### peek

Event peek()

### pop

void pop()

### more

boolean more()